/****************************************************************/
/**@file MF624.c:
 * Desctiption: API layer for MF624 card.                       *
 * Dependency: Windows					        *
 ****************************************************************/

#include <windows.h>
#include <setupapi.h>
#include <malloc.h>
#include <math.h>


#include "hudaqlib.h"


/**
*   Move stepping motor to a target position.
*   During a first time call it resets internal position counter and sets 2
*   internal counters for driving one stepper motor.
*   
*   \param[in] handle Device handle.
*   \param[in] channel number of counter (0 - 1)
*   \param[in] TargetPosition Position to move stepping motor. (It is
*   absolute position, not a difference.)
*   
*   \retval void
*/
void HUDAQAPI stepout(HUDAQHANDLE handle, unsigned channel, long TargetPosition)
{
int digin;
static int outshadow = 0;
int State=0;
size_t Ptr2;
long LastReq;
const DeviceRecord *DevRecord = HudaqGetDeviceRecord(handle);
MF624_Private *Cache;
CounterControl CTC;
long N;
DWORD NewTime;
int NewFrequency;

	/// \todo - dodelat reset a vracet polohu!
  NewTime=timeGetTime();

}
